为了账号安全,请及时绑定邮箱和手机立即绑定

运行代码报错,npm ERR! 404 Not Found: cucmber@^4.2.1

/ 猿问

运行代码报错,npm ERR! 404 Not Found: cucmber@^4.2.1

报错信息:

https://img2.mukewang.com/5cb6d05b00014d7e13660240.jpg

package.json文件;

{
  "name": "test",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "start": "node step_definitions/example.js"
  },
  "keywords": [
    "browser"
  ],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "babel-preset-env": "^1.7.0",
    "babel-register": "^6.26.0",
    "cucumber": "^5.1.0"
  },
  "dependencies": {
    "cucmber": "^4.2.1",
    "express": "^4.16.4",
    "webdriverio": "^4.13.1"
  }
}

example.js文件:

require('babel-register') ({
    presets: [ 'env' ]
});

module.exports = require('./test.js');

test.js文件:

/*jshint esversion: 6 */
import link from "../support/link/link";
const {Given, When, Then}=require('cucmber');
Given(/^input ([^"]*) and (tab)/, (data) =>{
    const url = link[data];
    browser.url(url)
});

这个是我查看cucmber版本信息:

C:\Users\P0140514\Documents\test>cucumber --version

'cucumber' is not recognized as an internal or external command,

operable program or batch file.

我知道这代表我cucmber安装不成功,但是我每次尝试安装这个模块就会报404错误。webstorm还一直提醒我更新Dependencies ,可是更新也报404错误。我到处查了,都没有相关的解答。拜托前辈告诉我这是咋了。



查看完整描述

目前暂无任何回答

  • 0 回答
  • 0 关注
  • 1961 浏览
我要回答
慕课专栏
更多

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信